# $Id$
# vi: shiftwidth=4 tabstop=4 smarttab expandtab formatoptions=croql
#
# spec file for package 'name' (version 'v')
#
# The following software is released as specified below.
# This spec file is released to the public domain.
# (c) Lincom Software Team

# Basic Information
Name:   akcron
Version:    1.2
Release:    2%{?dist}
Summary:    A kerberos/AFS wrapper for cron jobs
Group:   System Environment/Daemons
License:    GPLv2
URL: http://cs.stanford.edu

# Packager Information
Packager: Miles Davis <miles@cs.stanford.edu>

# Build Information
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Source Information
Source0:    akcron.tar.gz
#Patch0:

# Dependency Information
BuildRequires:  gcc binutils
Requires: perl

%description

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc
%attr(755, root, root) %{_bindir}/*
%attr(755, root, root) %{_sbindir}/akcron-helper
%attr(4755, root, root) %{_sbindir}/setuid-akcron
%{_mandir}/man1/*

%changelog
* Sat Aug 29 2009 Miles Davis <miles@cs.stanford.edu> 7.6
- Initial Spec File


